## sphinxtesters 0.2.3

=== requirements.txt ===
# Minimum requirements
#
sphinx>=1.4

## sphinxtesters 0.1.1

=== debian/changelog ===
sphinxtesters (0.1.1-1) unstable; urgency=low

  * Initial release; Closes: #895724

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Apr 2018 16:40:19 +0000

=== debian/control ===
Source: sphinxtesters
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python-all,
               python3-all,
               python-nose,
               python3-nose,
               python-setuptools,
               python3-setuptools,
               python-sphinx,
               python3-sphinx,
Standards-Version: 4.1.3
Homepage: http://github.com/matthew-brett/sphinxtesters
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinxtesters.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinxtesters

Package: python-sphinxtesters
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python3:Suggests}
Description: utilities for testing Sphinx extensions - Python 2
 Sphinxtesters is a collection of utilities useful to test Sphinx extensions.
 .
 This package contains the Python 2 version of sphinxtesters.

Package: python3-sphinxtesters
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: utilities for testing Sphinx extensions - Python 3
 Sphinxtesters is a collection of utilities useful to test Sphinx extensions.
 .
 This package contains the Python 3 version of sphinxtesters.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinxtesters
%:
	dh $@ --with python2,python3 --buildsystem=pybuild --test-nose

override_dh_auto_test:
	-dh_auto_test

## sphinxtesters 0.2.1

=== debian/changelog ===
sphinxtesters (0.2.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938546

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Nov 2019 22:41:31 -0500

sphinxtesters (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - use python:Suggests for the py2 package
    - bump Standards-Version to 4.2.1 (no changes needed)
  * run tests via pytest, not nose

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Dec 2018 16:58:11 -0500

=== debian/control ===
Source: sphinxtesters
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-pytest,
Standards-Version: 4.2.1
Homepage: https://github.com/matthew-brett/sphinxtesters
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinxtesters.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinxtesters

Package: python3-sphinxtesters
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: utilities for testing Sphinx extensions - Python 3
 Sphinxtesters is a collection of utilities useful to test Sphinx extensions.
 .
 This package contains the Python 3 version of sphinxtesters.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinxtesters
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	-dh_auto_test

## sphinxtesters 0.2.3

=== debian/changelog ===
sphinxtesters (0.2.3-5) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Feb 2024 01:55:25 -0500

sphinxtesters (0.2.3-4) unstable; urgency=medium

  * Revert attempt by a rogue developer to hijack this package

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Jan 2024 01:25:23 -0500

sphinxtesters (0.2.3-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Andreas Tille ]
  * Set DPT maintainer
  * Replace SafeConfigParser deprecated in Python3.12
    Closes: #1058177
  * Transparently skip test_bad_pagebuilder instead of ignoring test suite
    errors

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 08:13:34 +0100

sphinxtesters (0.2.3-2) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * debian/control
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.6.1 (no changes needed)
    - bump debhelper-compat to 13
    - run wrap-and-sort

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Jun 2022 14:12:30 -0400

sphinxtesters (0.2.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Jul 2020 23:47:22 -0400

=== debian/control ===
Source: sphinxtesters
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.2
Homepage: https://github.com/matthew-brett/sphinxtesters
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxtesters.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxtesters

Package: python3-sphinxtesters
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: utilities for testing Sphinx extensions - Python 3
 Sphinxtesters is a collection of utilities useful to test Sphinx extensions.
 .
 This package contains the Python 3 version of sphinxtesters.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinxtesters
export PYBUILD_TEST_ARGS=-k 'not test_bad_pagebuilder'

%:
	dh $@ --with python3 --buildsystem=pybuild

## sphinxtesters 0.2.4

=== debian/changelog ===
sphinxtesters (0.2.4-1) unstable; urgency=medium

  * Adopt package (Closes: #1065043)
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker
  * New upstream version 0.2.4
  * Replace SetupTools with Flit
  * Use dh-sequence-python3
  * Set "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 19:15:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: sphinxtesters
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Alexandre Detiste <tchet@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               flit,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-pytest,
-               python3-setuptools,
                python3-sphinx,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/matthew-brett/sphinxtesters
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxtesters.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinxtesters
export PYBUILD_TEST_ARGS=-k 'not test_bad_pagebuilder'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
# try also https://pypi.debian.net/sphinxtesters/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinxtesters/sphinxtesters-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
